MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000265luatexfeature requestpublic2009-09-11 11:192017-01-23 19:40
Reporteruser61 
Assigned ToHans Hagen 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.82.0 
Summary0000265: Make mathsurround a glue
DescriptionIt is presently a kern. It would be very useful for short columns. OK, it requires reference counting, but just as any other glue.

I think it would also make mathsurround more usable if the possibility be added that it only get inserted if there is another glue following (or preceeding), via a primitive. This is to avoid inserting extra space when there is no space at all, such as before a punctuation mark. This would be easy to implement because the mathsurround does not actually enter the list while it is being formed, but just when it is packed.
Tagsmath
Attached Files? file icon mathsurround.tex [^] (2,775 bytes) 2009-10-14 13:37
? file icon mathsurround.dvi [^] (908 bytes) 2009-10-14 13:37

- Relationships

-  Notes
(0000278)
Taco (administrator)
2009-10-08 13:25

Can you post an actual example where having an explicit glue and/or an extra inhibiting primitive would be useful?

Currently, I have doubts on the practical usability of this request.
(0000286)
user61
2009-10-14 13:38

I have posted the example, together with more comments.
(0000291)
Taco (administrator)
2009-10-14 14:12

I see your point now, thanks for the example
(0001468)
Hans Hagen (manager)
2015-10-22 21:38

a new parameter: \mathsurroundskip (when set it replaces \mathsurround)
(0001472)
Taco (administrator)
2015-10-23 09:06

Originally reported by user Jmugica, who was deleted because of undeliverable email

- Issue History
Date Modified Username Field Change
2009-09-11 11:19 user61 New Issue
2009-10-08 13:25 Taco Note Added: 0000278
2009-10-08 13:25 Taco Status new => feedback
2009-10-14 13:37 user61 File Added: mathsurround.tex
2009-10-14 13:37 user61 File Added: mathsurround.dvi
2009-10-14 13:38 user61 Note Added: 0000286
2009-10-14 14:12 Taco Note Added: 0000291
2009-10-14 14:13 Taco Assigned To => Taco
2009-10-14 14:13 Taco Status feedback => acknowledged
2012-04-09 04:52 Khaled Hosny Tag Attached: math
2015-10-22 21:37 Hans Hagen Assigned To Taco => Hans Hagen
2015-10-22 21:37 Hans Hagen Status acknowledged => assigned
2015-10-22 21:38 Hans Hagen Note Added: 0001468
2015-10-22 21:38 Hans Hagen Status assigned => closed
2015-10-22 21:38 Hans Hagen Resolution open => fixed
2015-10-22 21:38 Hans Hagen Fixed in Version => 0.82.0
2015-10-23 09:06 Taco Note Added: 0001472


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker